com.mapinfo.midev.language.filter.DistanceToEdge

## Class DistanceToEdgeFilterBuilder

- java.lang.Object
- - com.mapinfo.midev.language.filter.DistanceToEdge.DistanceToEdgeFilterBuilder

    public final class DistanceToEdgeFilterBuilder
    extends Object

A builder for the `DistanceToEdgeFilter`.

### Constructor Summary

Constructors
Constructor and Description
`DistanceToEdgeFilterBuilder(String targetGeometryColumnName, IPoint searchGeometry, String outputDistanceColumnName, LinearUnit returnedDistanceUnit, String outputIsWithinColumnName)` Creates a `DistanceToEdgeFilterBuilder` based on the geometry column name in a table, a point geometry object and the computations options

### Method Summary

All Methods Instance Methods Concrete Methods
`DistanceToEdgeFilter` `build()` Builds the `DistanceToEdgeFilter` based on the specified parameters in this builder
`DistanceToEdgeFilterBuilder` `maxCandidates(int maxCandidates)` Sets the maximum number of candidates to be returned
`DistanceToEdgeFilterBuilder` `maxDistance(Length maxDistance)` Sets the maximum distance from the search point and returns this builder
`DistanceToEdgeFilterBuilder` `tablePointColumn(String tablePointColumn)` Set the name of the column that will hold the `IPoint` that is on the geometry in the table that is the closest point to the search geometry.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DistanceToEdgeFilterBuilder

    public DistanceToEdgeFilterBuilder(String targetGeometryColumnName,
                                       IPoint searchGeometry,
                                       String outputDistanceColumnName,
                                       LinearUnit returnedDistanceUnit,
                                       String outputIsWithinColumnName)

Creates a `DistanceToEdgeFilterBuilder` based on the geometry column name in a table, a point geometry object and the computations options

Parameters:
  `targetGeometryColumnName` - name of the attribute within the table which contains geometries
  `searchGeometry` - a point geometry used as a seed for computing distance to the edge of geometry in the `targetGeometryColumnName`
  `outputDistanceColumnName` - a column name which will contain the output distance value
  `returnedDistanceUnit` - unit of measurement for the distance calculation
  `outputIsWithinColumnName` - column name which will contain whether the point provided by (@code searchGeometry} is within the geometry from the table

### Method Detail

#### maxDistance

    public DistanceToEdgeFilterBuilder maxDistance(Length maxDistance)

Sets the maximum distance from the search point and returns this builder

Parameters:
  `maxDistance` - maximum distance to use for search
Returns:
  this builder

#### maxCandidates

    public DistanceToEdgeFilterBuilder maxCandidates(int maxCandidates)

Sets the maximum number of candidates to be returned

Parameters:
  `maxCandidates` - limit for the number of candidates to be returned
Returns:
  this builder

#### tablePointColumn

    public DistanceToEdgeFilterBuilder tablePointColumn(String tablePointColumn)

Set the name of the column that will hold the `IPoint` that is on the geometry in the table that is the closest point to the search geometry. If `null` the the attribute will not be added to the projection list.

Parameters:
  `tablePointColumn` - The name of the column that will hold the `IPoint` that is on the geometry in the table that is the closest point to the search geometry.
Returns:
  `this`

#### build

    public DistanceToEdgeFilter build()

Builds the `DistanceToEdgeFilter` based on the specified parameters in this builder

Returns:
  `DistanceToEdgeFilter` instance